# geos::operation::buffer Namespace Reference

Provides classes for computing buffers of geometries. More...

## Classes

class | BufferBuilder
| Builds the buffer geometry for a given input geometry and precision model. More...
class | BufferOp
| Computes the buffer of a geometry, for both positive and negative buffer distances. More...
class | BufferSubgraph
| A connected subset of the graph of DirectedEdges and geomgraph::Node. More...
class | OffsetCurveBuilder
| Computes the raw offset curve for a single Geometry component (ring, line or point). More...
class | OffsetCurveSetBuilder
| Creates all the raw offset curves for a buffer of a Geometry. More...
class | RightmostEdgeFinder
| A RightmostEdgeFinder find the geomgraph::DirectedEdge in a list which has the highest coordinate, and which is oriented L to R at that point. (I.e. the right side is on the RHS of the edge.). More...
class | SubgraphDepthLocater
| Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph. More...
class | OffsetCurveVertexList
| A list of the vertices in a constructed offset curve. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const BufferSubgraph &bs)
bool | BufferSubgraphGT (BufferSubgraph *first, BufferSubgraph *second)

## Detailed Description

Provides classes for computing buffers of geometries.